import request from '@/utils/request';

/**
* 物料采购单新增
* */
export function addReceiveRequest(data: any) {
  return request({
    url: '/api/materialReceiveRequest/createReceiveRequest',
    method: 'post',
    data: data,
  });
}

/**
 * 物料采购单编辑
 * */
export function updateReceiveRequest(data: any) {
  return request({
    url: '/api/materialReceiveRequest/modifyReceiveRequest',
    method: 'post',
    data: data,
  });
}

/**
 * 物料采购单删除
 */
export function deleteReceiveRequest(data: any) {
  return request({
    url: '/api/materialReceiveRequest/removeReceiveRequest',
    method: 'post',
    data: data,
  });
}

/**
* 物料采购单明细新增
* */
export function addReceiveRequestDetail(data: any) {
  return request({
    url: '/api/materialReceiveRequest/createReceiveDetailRequest',
    method: 'post',
    data: data,
  });
}
/**
 * 物料采购单明细编辑
 * */
export function updateReceiveRequestDetail(data: any) {
  return request({
    url: '/api/materialReceiveRequest/modifyReceiveRequestDetail',
    method: 'post',
    data: data,
  });
}

/**
 * 物料采购单明细删除
 */
export function deleteReceiveRequestDetail(data: any) {
  return request({
    url: '/api/materialReceiveRequest/removeReceiveRequestDetail',
    method: 'post',
    data: data,
  });
}
